* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Lexend Deca', sans-serif;
    font-family: 'Poppins', sans-serif;
    font-family: 'ABeeZee', sans-serif;
}

.overlay-cart {
    width: 100%;
    height: 100%;
    position: fixed;
    opacity: 0.5;
    display: flex;
    justify-content: center;
    align-items: center;
    background: white;
    z-index: 1050;
}

#spinner-content {
    position: fixed;
    top: 50%;
    left: 50%;
}

/* PAYMENT SECTION */
.payment {
    width: 100%;
    margin-top: 5rem;
    background-color: #FFF;
}

.payment-container {
    padding: 0 3rem 4rem 3rem;
}

.payment-product {
    border-bottom: 1px solid rgba(0, 0, 0, .1);
}

.payment-product {
    padding: 2rem 0rem 2rem 0rem;
}

.payment-header {
    margin-top: 0rem;
    border-bottom: 0.1rem solid #F6F7F8;
}

#payment-header-leftside,
#payment-header-rightside {
    color: #22262A;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

#payment-header-rightside>ul {
    list-style-type: none;
    gap: 11rem;
}

.container-item {
    padding-top: 2rem;
}

.payment-title-item {
    color: #262626;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.payment-ingredient-item {
    color: #929292;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 300;
    line-height: 1.25rem;
}

#total-price {
    padding-right: 5px;
    padding-top: 0.6rem;
}

#unit-price {
    padding-left: 0px;
    margin-left: -7px;
    padding-top: 0.6rem;
}

#total-price,
#unit-price {
    color: #262626;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.wrapper {
    height: 2.875rem;
    width: 7.3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F6F7F8;
    border-radius: 0.2rem;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.item-img img {
    width: 9.375rem;
    height: 9.375rem;
}

.wrapper span {
    width: 100%;
    text-align: center;
    font-size: 1.125rem;
    font-weight: 600;
    cursor: pointer;
    user-select: none;
}

.wrapper span.num {
    font-size: 1rem;
    pointer-events: none;
    color: #262626;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.minus,
.plus {
    color: #1AC073
}

.remove-item {
    color: #F20505;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration-line: underline;
}

.div-check-out {
    padding: 0.9375rem;
}

.container-total-payment {
    margin-top: 5.125rem;
}

.input-btn-group {
    width: 50%;
}

.btn-redeem {
    background-color: #1AC073;
    color: #FFF;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    height: 3rem;
    border: none;
}

.input-voucher-code {
    color: #262626;
    background-color: #F6F7F8;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    height: 3rem;
}

.total-price-text,
.total-price-number {
    color: #22262A;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.div-check-out {
    padding-bottom: 0rem;
    margin-bottom: 12rem;
}

#btn-check-out {
    background-color: #1AC073;
    color: #fff;
    text-align: center;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem;
    text-transform: capitalize;
    height: 3rem;
}

.div-subtotal,
.div-shipping-fee,
.div-coupon {
    color: #262626;
    font-family: 'Poppins', sans-serif;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.div-shipping-fee {
    margin-top: 3rem;
}

.div-coupon {
    margin-bottom: 3rem;
    margin-top: 3rem;
}

/* PAYMENT MODAL */

.modal-header-restyle {
    border-bottom: 0 !important;
}

#cross-icon {
    width: 3rem;
    font-size: 3rem;
    color: #1AC073;
    opacity: 0.5;
}

.modal-title-text {
    color: #1AC073;
    font-family: 'ABeeZee', sans-serif;
    font-size: 2rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
}

#textarea-message {
    padding-top: 1.5rem;
}

.modal-row {
    margin-left: 0;
    margin-right: 0;
}

.modal-right-side {
    padding-right: 2.5rem;
}

.modal-left-side {
    padding-left: 2.5rem;
}

.modal-body-container {
    padding-left: 5rem;
    padding-right: 5rem;
}

.method-payment-title {
    margin-bottom: 1rem;
    color: #1AC073;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: capitalize;
}

.progress-container {
    width: 100%;
}

.progressbar {
    counter-reset: step;
}

.progressbar li.progress-active:before {
    background-color: #1AC073 !important;
}

.progressbar li {
    list-style: none;
    display: inline-block;
    width: 5%;
    position: relative;
    text-align: center;
    cursor: pointer;
}

.progressbar li:before {
    content: counter(step);
    counter-increment: step;
    width: 1.875rem;
    height: 1.875rem;
    line-height: 1.875rem;
    border-radius: 100%;
    display: block;
    text-align: center;
    margin: 0 auto 0.625rem auto;
    background-color: #DFDEDE;
    position: relative;
    z-index: 1;
    color: #FFF;
}

.progressbar li:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: #ddd;
    top: 1rem;
    left: -50%;
}

.progressbar li:first-child:after {
    content: none;
}

.progressbar li.progress-active {
    color: green;
}

.progressbar li.progress-active:before {
    border-color: green;
}

.progressbar li.progress-active+li:after {
    background-color: #ddd;
}

input[type=text],
input[type=email] {
    background-color: #DFDEDE;
}

#textarea-message {
    background-color: #DFDEDE;
}

.option-credit-card {
    height: 3rem;
    position: relative;
}

.payment-checkbox {
    width: 1.5rem;
    height: 1.5rem;
}

.col-8-reCss {
    padding-right: 0;
}

.ipt-checkbox {
    padding-top: 0.5rem;
}

.btn-go-to-payment {
    background-color: #1AC073;
    color: #FFF;
    text-align: center;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    width: 20rem;
    height: 3.5rem;
    margin-bottom: 5.3rem;
}

.bi-credit-card,
.bi-bank {
    color: #1AC073;
}

.bi-paypal {
    color: #1565C0;
}

/* MODAL SUCCESS */
.modal-success-header {
    border: none;
    padding-bottom: 0;
}

.modal-success-body {
    padding-top: 0;
}

.title-success {
    color: #223263;
    text-align: center;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 700;
    line-height: 150%;
    letter-spacing: 0.5px;
    margin-bottom: 1rem;
}

.check-cirle img {
    width: 5rem;
    height: 5rem;
}

.progressbar li {
    width: 15%;
}

.btn-complete {
    background-color: #1AC073;
    color: #FFF;
    text-align: center;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 1rem;
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    width: 15rem;
    height: 2.5rem;
    margin-bottom: 2rem;
}

.modal-success-title {
    font-size: 2rem;
    color: #1AC073;
    font-family: 'ABeeZee', sans-serif;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
}

.remove-item:hover {
    cursor: pointer;
    color: #1565C0;
}

/* Mobile: width <740px */
@media only screen and (max-width:739px) {
    #payment-header-rightside>ul {
        gap: 4rem;
    }

    #payment-header-rightside,
    #payment-product-leftside {
        font-size: 0.9rem;
    }

    .item-img img {
        width: 4.5rem;
        height: 4.5rem;
    }

    .item-info {
        margin-left: 0rem;
        padding-left: 1rem;
        padding-right: 0rem;
    }

    .payment-title-item,
    .payment-ingredient-item {
        width: 85%;
    }

    .payment-title-item {
        font-size: 0.9rem;
    }

    .payment-ingredient-item {
        font-size: 0.5rem;
        line-height: 0.75rem;
    }

    #quantity {
        padding: 0rem;
    }

    .container-item {
        padding-top: 0rem;
    }

    #quantity {
        padding-top: 0.6rem;
    }

    #total-price,
    #unit-price,
    .remove-item {
        font-size: 0.9rem;
    }

    .wrapper {
        height: 1.5rem;
        box-shadow: none;
    }

    .wrapper span.num {
        font-size: 0.9rem;
    }

    .input-voucher-code,
    .btn-redeem {
        font-size: 0.8rem;
        height: 2.3rem;
    }

    .input-btn-group {
        width: 75%;
    }

    .div-subtotal,
    .div-shipping-fee,
    .div-coupon {
        font-size: 0.9rem;
    }

    .div-shipping-fee {
        margin-top: 1rem;
    }

    .div-coupon {
        margin-bottom: 1rem;
        margin-top: 1rem;
    }

    .final-price-container {
        padding: 0;
    }

    .container-total-payment {
        margin-top: 2rem;
    }

    .total-price-text,
    .total-price-number {
        font-size: 1rem;
    }

    #btn-check-out {
        font-size: 0.9rem;
        height: 2rem;
    }

    .div-check-out {
        margin-bottom: 1rem;
    }

    /* MODAL PAYMENT */
    .progressbar li {
        width: 10%;
    }

    .ipt-checkbox {
        margin-top: -0.3rem;
        padding-left: 0rem;
        padding-right: 0rem;
    }

    .col-8-reCss {
        padding-left: 0rem;
        width: 4rem
    }

    /* MODAL SUCCESS */
    .modal-success {
        top: 3.75rem;
        left: 10%;
    }

    .modal-success {
        width: 30rem;
        height: 30rem;
    }

    .modal-success-header {
        border: none;
        padding-bottom: 0;
    }

    .modal-success-body {
        padding-top: 0;
    }

    .modal-success-title {
        font-size: 2rem;
        color: #1AC073;
        font-family: 'ABeeZee', sans-serif;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        text-transform: capitalize;
    }

    .title-success {
        color: #223263;
        text-align: center;
        font-family: 'Lexend Deca', sans-serif;
        font-size: 1rem;
        font-style: normal;
        font-weight: 700;
        line-height: 150%;
        letter-spacing: 0.5px;
        margin-bottom: 1rem;
    }

    .check-cirle img {
        width: 5rem;
        height: 5rem;
    }

    .progressbar li {
        width: 15%;
    }

    .btn-complete {
        background-color: #1AC073;
        color: #FFF;
        text-align: center;
        font-family: 'Lexend Deca', sans-serif;
        font-size: 1rem;
        font-style: normal;
        font-weight: 800;
        line-height: normal;
        width: 15rem;
        height: 2.5rem;
        margin-bottom: 2rem;
    }

}

/* Tablet: width>=740px and width < 1024px */
@media only screen and (min-width:740px) and (max-width:1023px) {
    #payment-header-rightside>ul {
        gap: 4.5rem;
    }

    .item-img img {
        width: 7rem;
        height: 7rem;
    }

    .payment-title-item,
    .payment-ingredient-item {
        width: 14rem;
    }

    #quantity {
        padding: 0rem;
    }

    .container-item {
        padding-top: 1rem;
    }

    #total-price,
    #unit-price {
        font-size: 1rem;
    }

    .wrapper {
        height: 2.5rem;
    }

    .input-voucher-code,
    .btn-redeem {
        font-size: 0.8rem;
        height: 2.3rem;
    }

    .input-btn-group {
        width: 70%;
    }

    .div-subtotal,
    .div-shipping-fee,
    .div-coupon {
        font-size: 0.9rem;
    }

    .final-price-container {
        padding: 0;
    }

    .total-price-text,
    .total-price-number {
        font-size: 1rem;
    }

    #btn-check-out {
        font-size: 0.9rem;
        height: 2.5rem;
    }

    .div-check-out {
        margin-bottom: 5rem;
    }

    /* MODAL PAYMENT */
    .modal-body-container {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .modal-right-side {
        padding-right: 1.5rem;
    }

    .modal-left-side {
        padding-left: 1.5rem;
    }

    .progressbar li {
        width: 10%;
    }

    .method-payment-title {
        font-size: 1rem;
    }

    .option-credit-card {
        font-size: 0.8rem;
    }

    .ipt-checkbox {
        margin-top: -0.3rem;
        padding-left: 0rem;
        padding-right: 0rem;
    }

    .col-8-reCss {
        padding-left: 0rem;
        width: 4rem
    }

    #input-firstname,
    #input-email,
    #input-lastname,
    #textarea-message,
    .method-payment {
        font-size: 0.8rem;
    }

    .btn-go-to-payment {
        font-size: 1rem;
        width: 12rem;
        height: 2.5rem;
        margin-bottom: 3rem;
    }
}

/* Large devices ( width>=1024px and width < 1439px) */
@media only screen and (min-width:1024px) and (max-width: 1439px) {
    #payment-header-rightside>ul {
        gap: 8rem;
    }
}

/* Extra large devices (large laptops and desktops, 1440px and up) */
@media only screen and (min-width: 1439px) {
    #payment-header-rightside>ul {
        gap: 13rem;
    }
}